Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.net.puretls
Class PureTLSSocketFactory

    java.lang.Object
      org.apache.tomcat.util.net.ServerSocketFactory
          org.apache.tomcat.util.net.puretls.PureTLSSocketFactory

All Implemented Interfaces:
  java.lang.Cloneable

public class PureTLSSocketFactory
extends ServerSocketFactory

SSL server socket factory--wraps PureTLS

Author:
  Eric Rescorla some sections of this file cribbed from SSLSocketFactory (the JSSE socket factory)

Field Summary

Fields inherited from class org.apache.tomcat.util.net.ServerSocketFactory
`attributes`

Constructor Summary
`PureTLSSocketFactory()`

Method Summary
`java.net.Socket` | `acceptSocket(java.net.ServerSocket socket)` Wrapper function for accept().
`java.net.ServerSocket` | `createSocket(int port)` Returns a server socket which uses all network interfaces on the host, and is bound to a the specified port.
`java.net.ServerSocket` | `createSocket(int port, int backlog)` Returns a server socket which uses all network interfaces on the host, is bound to a the specified port, and uses the specified connection backlog.
`java.net.ServerSocket` | `createSocket(int port, int backlog, java.net.InetAddress ifAddress)` Returns a server socket which uses only the specified network interface on the local host, is bound to a the specified port, and uses the specified connection backlog.
`void` | `handshake(java.net.Socket sock)` Extra function to initiate the handshake.

Methods inherited from class org.apache.tomcat.util.net.ServerSocketFactory
`getDefault, initSocket, setAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PureTLSSocketFactory

    public PureTLSSocketFactory()

Method Detail

### createSocket

    public java.net.ServerSocket createSocket(int port)
                                       throws java.io.IOException

  Description copied from class: `ServerSocketFactory`
  Returns a server socket which uses all network interfaces on the host, and is bound to a the specified port. The socket is configured with the socket options (such as accept timeout) given to this factory.

  Specified by:
    `createSocket` in class `ServerSocketFactory`
  Parameters:
    `port` - the port to listen to
  Throws:
    `java.io.IOException` - for networking errors

### createSocket

    public java.net.ServerSocket createSocket(int port,
                                              int backlog)
                                       throws java.io.IOException

  Description copied from class: `ServerSocketFactory`
  Returns a server socket which uses all network interfaces on the host, is bound to a the specified port, and uses the specified connection backlog. The socket is configured with the socket options (such as accept timeout) given to this factory.

  Specified by:
    `createSocket` in class `ServerSocketFactory`
  Parameters:
    `port` - the port to listen to
    `backlog` - how many connections are queued
  Throws:
    `java.io.IOException` - for networking errors

### createSocket

    public java.net.ServerSocket createSocket(int port,
                                              int backlog,
                                              java.net.InetAddress ifAddress)
                                       throws java.io.IOException

  Description copied from class: `ServerSocketFactory`
  Returns a server socket which uses only the specified network interface on the local host, is bound to a the specified port, and uses the specified connection backlog. The socket is configured with the socket options (such as accept timeout) given to this factory.

  Specified by:
    `createSocket` in class `ServerSocketFactory`
  Parameters:
    `port` - the port to listen to
    `backlog` - how many connections are queued
    `ifAddress` - the network interface address to use
  Throws:
    `java.io.IOException` - for networking errors

### acceptSocket

    public java.net.Socket acceptSocket(java.net.ServerSocket socket)
                                 throws java.io.IOException

  Description copied from class: `ServerSocketFactory`
  Wrapper function for accept(). This allows us to trap and translate exceptions if necessary

  Specified by:
    `acceptSocket` in class `ServerSocketFactory`
  Throws:
    `java.io.IOException`

### handshake

    public void handshake(java.net.Socket sock)
                   throws java.io.IOException

  Description copied from class: `ServerSocketFactory`
  Extra function to initiate the handshake. Sometimes necessary for SSL

  Specified by:
    `handshake` in class `ServerSocketFactory`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.